* Create a sample database and meta data for it.

close databases all
create database Sample
create table Customers (ID I, COMPANY C(40), ADDRESS C(40), CITY C(20), ;
	REGION C(20), POSTALCODE C(10), COUNTRY C(40))
loMeta = newobject('DBCXMgr', 'DBCXMgr.vcx', '', .F., '', .T.)
loMeta.Validate('Sample')

* Now change the structure of the Customers table and add another table.

alter table Customers ;
	alter column ID I autoinc nextvalue 1 step 1 ;
	add column CONTACT C(40)
loPublish = newobject('PublishTableChanges', 'PublishTableChanges.prg')
with loPublish
	.cApplication = 'My Application'
	.cAuthor      = 'dhennig@stonefield.com (Doug Hennig)'
	.cRSSFileName = 'TableChanges.xml'
	llReturn = .PublishTableChanges('Customers')
	if llReturn
		modify file (.cRSSFileName) nowait
	else
		messagebox(.cErrorMessage)
	endif llReturn
endwith

* Clean up by deleting the files we created.

close databases all
loMeta.Release()
erase Sample.d*
erase Customers.*
erase CoreMeta.*
erase DBCXReg.*
