* Instantiate an SFRSSGeneratorRSS2 object and read in the file.

local loRSS as SFRSSGeneratorRSS2 of SFRSS.VCX, ;
	loItem as SFRSSItem of SFRSS.VCX
loRSS = newobject('SFRSSGeneratorRSS2', 'SFRSS.VCX')
loRSS.Load(filetostr('session.xml'))

* Display the channel information.

messagebox('Description: ' + loRSS.Description + chr(13) + ;
	'Link: ' + loRSS.Link + chr(13) + ;
	'Last build date: ' + transform(loRSS.LastBuildDate), ;
	0, loRSS.Title)

* Display item information.

for each loItem in loRSS.Items
	messagebox('Description: ' + loItem.Description + chr(13) + ;
		'Link: ' + loItem.Link + chr(13) + ;
		'Published: ' + transform(loItem.PublicationDate) + chr(13) + ;
		'Author: ' + loItem.Author + chr(13) + ;
		'GUID: ' + loItem.GUID, ;
		0, loItem.Title)
next loNode
