local loRSS as SFRSSGeneratorRSS2 of SFRSS.VCX, ;
	loItem as SFRSSItem of SFRSS.VCX
loRSS = newobject('SFRSSGeneratorRSS2', 'SFRSS.VCX')
loRSS.Title       = 'White Papers by Doug Hennig'
loRSS.Description = 'Doug Hennig has written a number of white papers, ' + ;
	'available from the Technical Papers page of www.stonefield.com.'
loRSS.Link        = 'http://www.stonefield.com/techpap.html'

loItem = loRSS.AddItem()
loItem.Title           = 'Object-Oriented Menus'
loItem.Description     = 'This article, originally published in the August ' + ;
	'2001 issue of FoxTalk, describes how to create object-oriented menus ' + ;
	'in VFP.'
loItem.Author          = 'dhennig@stonefield.com (Doug Hennig)'
loItem.Link            = 'http://www.stonefield.com/articles/ft/200108dhen.html'
loItem.PublicationDate = {^2002-04-13}

loItem = loRSS.AddItem()
loItem.Title           = 'Report Objects'
loItem.Description     = 'This article describes how a set of classes can ' + ;
	'expose the VFP report (FRX) file as objects. This allows you to ' + ;
	'manipulate reports programmatically simply by setting properties and ' + ;
	'calling methods.'
loItem.Author          = 'dhennig@stonefield.com (Doug Hennig)'
loItem.Link            = 'http://downloads.stonefield.com/pub/repobj.html'
loItem.PublicationDate = {^2000-04-12}

strtofile(loRSS.GetRSS(), 'session.xml')
modify file session.xml nowait
