* Read in the file.

lcXML = filetostr('session.xml')

* Display the channel information.

lcChannel     = strextract(lcXML,     '<channel>',       '</channel>')
lcTitle       = strextract(lcChannel, '<title>',         '</title>')
lcDescription = strextract(lcChannel, '<description>',   '</description>')
lcLink        = strextract(lcChannel, '<link>',          '</link>')
lcLastBuild   = strextract(lcChannel, '<lastBuildDate>', '</lastBuildDate>')
messagebox('Description: ' + lcDescription + chr(13) + ;
	'Link: ' + lcLink + chr(13) + ;
	'Last build date: ' + lcLastBuild, ;
	0, lcTitle)

* Display item information.

for lnI = 1 to occurs('<item>', lcXML)
	lcItem        = strextract(lcXML,  '<item>',        '</item>', lnI)
	lcTitle       = strextract(lcItem, '<title>',       '</title>')
	lcDescription = strextract(lcItem, '<description>', '</description>')
	lcLink        = strextract(lcItem, '<link>',        '</link>')
	lcPubDate     = strextract(lcItem, '<pubDate>',     '</pubDate>')
	lcAuthor      = strextract(lcItem, '<author>',      '</author>')
	lcGUID        = strextract(lcItem, '<guid>',        '</guid>')
	if empty(lcGUID)
		lcGUID = strextract(lcItem, '<guid ', '>', 1, 4)
		lcGUID = strextract(lcItem, lcGUID, '</guid>')
	endif empty(lcGUID)
	messagebox('Description: ' + lcDescription + chr(13) + ;
		'Link: ' + lcLink + chr(13) + ;
		'Published: ' + lcPubDate + chr(13) + ;
		'Author: ' + lcAuthor + chr(13) + ;
		'GUID: ' + lcGUID, ;
		0, lcTitle)
next lnI
